/******************************************************************************/
/* TEST.C: Demonstration of SWI                                               */
/******************************************************************************/
/* This file is part of the uVision/ARM development tools.                    */
/* Copyright (c) 2005-2006 Keil Software. All rights reserved.                */
/* This software may only be used under the terms of a valid, current,        */
/* end user licence from KEIL for a compatible version of KEIL software       */
/* development tools. Nothing else gives you the right to use this software.  */
/******************************************************************************/

#include <LPC23xx.H>               // LPC213x definitions 


/*
 * Software Interrupt Function accept parameters and run in
 * Supervisor Mode (Interrupt protected)
 */

int __swi(0) two (void);
int __SWI_0      (void) {
FIO2SET=0x000000AA;
  return (0);
}

int __swi(1) one(int i);
int __SWI_1      (int i) {

	FIO2SET=i;
  return (0);
}

void main (void) {

    FIO2DIR=0x000000FF;
	one(0x00000033);
	two();
	while (1);                       // Endless Loop
}
